Subject: [sup-talk] sup on opensolaris

From: [email-masked] (Tomas Carnecky)
Date: Tue, 4 Aug 2009 11:56:11 +0200

I hate mailing lists that force me to subscribe. Luckily I have a  
friend who was already subscribed and forwarded me the emails.

>
>> I have an ugly patch for lib/sup/textfield.rb that uses its own  
>> string
>> buffer instead of relying on field_buffer(). It's not perfect, but it
>> at least allows me to write emails and assign tags.
>
> If it's not too much work to clean up, I'd be interested in this  
> patch.
> The field buffer stuff is broken in weird ways anyways (the history
> never seems to be quite right), and anything that reduces the reliance
> on ncurses is always the right approach.

I never programed in ruby before and I don't intend to learn it. Feel  
free to look at the last commit in the solaris-fixes:curses-form- 
buffer branch. It is the simplest possible solution to the problem at  
hand that didn't require me to learn too much ruby. It still needs a  
considerable amount of work before it is useful (like, being able to  
delete characters in the stringio buffer etc). I'm not planing to work  
on the patch in the foreseeable future, but someone else might find  
the patch useful as a starting point.

>
>>  - strftime("%P") is a GNU extension, I work around this by using
>> strftime("%p").downcase.
>
> Submit a patch! I'm fine with this.
>
>>  - Iconv.iconv(target + "//IGNORE", charset, text + " ") <- the "//
>> IGNORE" is causing an InvalidEncoding exception, removing it didn't
>> seem to cause any regressions
>
> Hm, this is a trickier one. Allegedly the //IGNORE reduces the
> exceptions thrown by Iconv, but since we're catching them all anyways,
> we might be able to get away with removing this. Or we could
> special-case it to your arch.

Both patches are available in the solaris-fixes master branch.

tom